IEEE80211_STOP_TX_BA(9)

NAME
ieee80211_stop_tx_ba_session - Stop a Block Ack session.

SYNOPSIS

int ieee80211_stop_tx_ba_session(struct ieee80211_sta * sta, u16 tid);

ARGUMENTS

sta
    the station whose BA session to stop

tid
    the TID to stop BA.

RETURN

negative error if the TID is invalid, or no aggregation active

Although mac80211/low level driver/user space application can estimate the need to stop aggregation on a certain RA/TID, the session level will be managed by the mac80211.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT